Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Get a customer

GET/customers/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Responses
200Customer entity
_linksHalLinks
idinteger
shop_idinteger
emailstring
namestring
Full name (first and last)
phone_numberstring
phone_validatedboolean
validation_methodstring
company_namestring
company_id_numberstring
Company tax/ID number (RUT, DNI, etc.), formatted
company_activity_codestring
customer_statusstring
Customer account status.
Allowed:publicprivatepending
opt_inboolean
Whether the contact has opted in to marketing emails.
sourcestring
last_logged_onstring<date-time>
last_ip_addressstring
has_passwordboolean
total_spentinteger
In cents
available_orders_countinteger
salesperson_idinteger
favorite_product_idsinteger[]
used_promotion_idsinteger[]
tagsstring[]
created_onstring<date-time>
updated_onstring<date-time>
_embeddedobject
Show properties
contact_groupobject
Present when the contact belongs to a group
addressesAddress[]
Show properties
Array of Address
streetstring
street_2string
locality_namestring
region_namestring
country_namestring
postal_codestring
403Access denied
404Customer not found
Request
curl -X GET "https://api.onbolder.com/v2/customers/0" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": 3001,
  "shop_id": 1,
  "email": "jane@example.com",
  "name": "Jane Smith",
  "customer_status": "private",
  "phone_number": "+15551234567",
  "phone_validated": true,
  "created_on": "2024-03-10T11:00:00Z",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/customers/3001"
    },
    "orders": {
      "href": "https://api.onbolder.com/v2/orders?shop_id=1&contact_email=jane@example.com"
    },
    "customers:update": {
      "href": "https://api.onbolder.com/v2/customers/3001",
      "method": "put"
    }
  }
}